For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Warehouse Receiving Order
      • GETGet Multiple Warehouse Receiving Orders
      • GETGet Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • POSTCancel Warehouse Receiving Order
      • POSTSet ExternalSync flag for Wros
      • GETGet Inventory Distributions by WRO Id
    • OpenAPI spec
LogoLogo
API ReferenceReceiving

Cancel Warehouse Receiving Order

||View as Markdown|
POST
/2025-07/receiving/:id:cancel
POST
/2025-07/receiving/:id:cancel
$curl -X POST https://api.shipbob.com/2025-07/receiving/id:cancel \
> -H "Authorization: Bearer <token>"
1{
2 "box_labels_uri": "https://api.shipbob.com/1.0/receiving/1/labels",
3 "box_packaging_type": "EverythingInOneBox",
4 "expected_arrival_date": "2019-08-24T14:15:22Z",
5 "external_sync_timestamp": "2019-08-24T14:15:22Z",
6 "fulfillment_center": {
7 "address1": "5900 W Ogden Ave",
8 "address2": "Suite 100",
9 "city": "Cicero",
10 "country": "USA",
11 "email": "example@example.com",
12 "id": 0,
13 "name": "Cicero (IL)",
14 "phone_number": "555-555-5555",
15 "state": "IL",
16 "timezone": "Central Standard Time",
17 "zip_code": "60804"
18 },
19 "id": 0,
20 "insert_date": "2019-08-24T14:15:22Z",
21 "inventory_quantities": [
22 {
23 "expected_quantity": 0,
24 "inventory_id": 0,
25 "received_quantity": 0,
26 "sku": "string",
27 "stowed_quantity": 0
28 }
29 ],
30 "last_updated_date": "2019-08-24T14:15:22Z",
31 "package_type": "Package",
32 "purchase_order_number": "string",
33 "status": "Awaiting",
34 "status_history": [
35 {
36 "id": 0,
37 "status": "Processing",
38 "timestamp": "2019-08-24T14:15:22Z"
39 }
40 ]
41}
Was this page helpful?
Previous

Get Warehouse Receiving Order Box Labels

Next

Set ExternalSync flag for Wros

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
Id of the receiving order to cancel

Response

Success
box_labels_uristring or null
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum
Allowed values:
expected_arrival_datedatetime
Expected date that all packages will have arrived
external_sync_timestampdatetime or null
The timestamp in UTC when a 3rd party integrator has set in our system
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the warehouse receiving order
insert_datedatetime
Insert date of the receiving order
inventory_quantitieslist of objects or null
Inventory items and quantities within the WRO
last_updated_datedatetime
Last date the receiving order was updated
package_typeenum
Allowed values:
purchase_order_numberstring or null
Purchase order number for a receiving order
statusenum
status_historylist of objects or null
The history of status changes for this receiving order

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error